Subject: Re: [PATCH V4 5/5] arch/powerpc/mm/hugetlb: NestMMU workaround for hugetlb mprotect RW upgrade

From: Christoph Hellwig <[email-masked]>
Date: Tue, 18 Dec 2018 22:31:50 -0800

On Wed, Dec 19, 2018 at 08:50:57AM +0530, Aneesh Kumar K.V wrote:
> That was done considering that ptep_modify_prot_start/commit was defined
> in asm-generic/pgtable.h. I was trying to make sure I didn't break
> anything with the patch. Also s390 do have that EXPORT_SYMBOL() for the
> same. hugetlb just inherited that.
> 
> If you feel strongly about it, I can drop the EXPORT_SYMBOL().

Yes.  And we should probably remove the s390 as well as it isn't used
either.